
%define plugin	dvd
%define name	vdr-plugin-%plugin
%define version	0.3.6
%define betaver	b03
%define cvsrev	20060506
%define rel	8
%define release	0.%betaver.%cvsrev.%rel

Summary:	VDR plugin: turn VDR into an (almost) full featured DVD player
Name:		%name
Version:	%version
Release:	%mkrel %release
Group:		Video
License:	GPL
URL:		http://sourceforge.net/projects/dvdplugin
Source:		vdr-%{plugin}-%{cvsrev}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
BuildRequires:	libdvdnav-devel liba52dec-devel
Requires:	vdr-abi = %vdr_abi
Requires(post):	vdr-common

%description
This is the DVD plugin for the Video Disk Recorder (VDR).

%prep
%setup -q -n %{plugin}
# script-without-shellbang
chmod -x README COPYING HISTORY CONTRIBUTORS

%vdr_plugin_params_begin %plugin
# DVD device
# default: /dev/dvd
var=DVD_DEVICE
param=--dvd=DVD_DEVICE
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

%clean
rm -rf %{buildroot}

%post
%{_bindir}/gpasswd -a vdr cdrom >/dev/null
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README COPYING HISTORY CONTRIBUTORS

%changelog
* Wed Sep 06 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.8mdv2007.0
- rebuild for new vdr

* Thu Aug 31 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.7mdv2007.0
- add vdr to cdrom group

* Wed Aug 23 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.6mdv2007.0
- stricter abi requires

* Sun Aug 06 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.5mdv2007.0
- rebuild for new vdr

* Tue Jul 25 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.4mdv2007.0
- rebuild for new vdr

* Mon Jun 19 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.3mdv2007.0
- rebuild for new vdr

* Sun Jun 04 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.2mdv2007.0
- rebuild for new vdr

* Thu Jun  1 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.1mdv2007.0
- initial Mandriva release
